<?php session_start();header("Vary: Accept-Encoding, Accept-Language, Cookie, User-Agent");
//                          CREATE TOURNAMENT ROUND ROBIN
    include('classes/autoload.php');
    include("functions.inc.php"); // functions.php included seperately
/*    include("common.inc.php");
    $userLogged = checkUser();
    $userIntour = FALSE;
*/    
    use TournamentGenerator\Export\Hierarchy\Exporter;
    use TournamentGenerator\Import\Importer;
?><!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">

<title>WF Tournaments - Round Robin</title>

</head>



<body>
<div id="container">
<?php
        
// Create a tournament
$tournament = new TournamentGenerator\Tournament('My Round Robin Tournament');   
       
//foreach ($myTeamsFromDatabase as $team) {
//$tournament->team($team['team_name'], $team['id']);
//}

$tour_nr = 2; // Tournament_ID in database

$tournament->team("Mr Mister", "1");
$tournament->team("Just Me", "22");
$tournament->team("Lasermann", "56");




    $round = $tournament->round("FIRST ROUND");

// Create 2 groups for the first round
    $group_1 = $round->group('Round 1')
	->setInGame(2) // 2 TEAMS PLAYING AGAINST EACH OTHER
	->setType(TournamentGenerator\Constants::ROUND_ROBIN); // ROBIN-ROBIN GROUP
/*
    $group_2 = $round->group('Round 2')
	->setInGame(2) // 2 TEAMS PLAYING AGAINST EACH OTHER
	->setType(TournamentGenerator\Constants::ROUND_ROBIN); // ROBIN-ROBIN GROUP
*/

    $tournament->splitTeams($round);	
	
    $round->genGames();

    foreach ($round->getGames() as $game) {
        $teams = array_map(static function(\TournamentGenerator\Team $team) {
                            return $team->getName();
                            }, $game->getTeams());
        echo implode(' - ', $teams)."<br>";
    }
    
    foreach ($round->getGames() as $game) {
        $teams = array_map(static function(\TournamentGenerator\Team $team) {
                            return $team->getId();
                            }, $game->getTeams());
        echo implode(' - ', $teams)."<br>";
        $game->setResults([$teams[0] => 418, $teams[1] => 465]); // GENERATES ERROR
        
    }    


 $export = Exporter::start($tournament)->withSetup()->getJson();  // JSON Document
 print_r($export);
 echo "<br>——<br>";
 

/* Updates to Database correctly.

    include("connect-db.php");
        $query_check_JSON = "SELECT JSON_VALID('$export')";
        $result_check_JSON = mysqli_query($connection,$query_check_JSON);     
    if ($result_check_JSON) {
        echo "TRUE <br>";
    }
    else echo "FALSE <br>";

    $query_tour_JSON = "UPDATE tournaments SET tournament_JSON = '$export' WHERE tournament_ID = $tour_nr";
    $result_tour_JSON = mysqli_query($connection,$query_tour_JSON);     
    echo $query_tour_JSON;
    
    mysqli_close($connection);
*/    
    $jsonData = json_decode($export);
    echo '<br><pre>';
    var_dump($jsonData);
    echo '</pre>';
?>

</div>

</body>
</html>